Skip to main content
GET
/
competitors
Get Competitors
curl --request GET \
  --url https://api.geogen.io/v1/competitors \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "rank": 123,
      "entityUuid": "<string>",
      "domain": "<string>",
      "name": "<string>",
      "visibility": 123,
      "mentions": 123,
      "avgPosition": 123,
      "avgSentiment": 123,
      "isCurrentEntity": true,
      "groupName": "<string>",
      "groupEntityUuids": [
        "<string>"
      ]
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.geogen.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Format: Bearer wsk_your_api_key

Query Parameters

entityId
string
required

Entity ID

period
enum<string>

Time period

Available options:
7d,
14d,
30d
models
string

Comma-separated model UUIDs

limit
number

Results per page

offset
number

Pagination offset

Response

Successful response

success
boolean
data
object[]
pagination
object